[Armadeus-commitlog] SF.net SVN: armadeus:[1035] trunk/target/test/packages/test_lua.sh
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-01-29 13:32:06
|
Revision: 1035
http://armadeus.svn.sourceforge.net/armadeus/?rev=1035&view=rev
Author: artemys
Date: 2009-01-29 13:32:02 +0000 (Thu, 29 Jan 2009)
Log Message:
-----------
[TEST] Add script to test Lua
Added Paths:
-----------
trunk/target/test/packages/test_lua.sh
Added: trunk/target/test/packages/test_lua.sh
===================================================================
--- trunk/target/test/packages/test_lua.sh (rev 0)
+++ trunk/target/test/packages/test_lua.sh 2009-01-29 13:32:02 UTC (rev 1035)
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+#
+# Script to test a Buildroot package for Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+#DEBUG=True
+EXEC_NAME="lua"
+LUA_EXAMPLE_FILE="/tmp/test.lua"
+
+generate_test_file()
+{
+ cat << EOF > $LUA_EXAMPLE_FILE
+print "If you can read that then test is OK. Today it's:"
+print(os.date())
+EOF
+}
+
+test_cleanup()
+{
+ rm -f "$LUA_EXAMPLE_FILE"
+# killall $EXEC_NAME
+}
+
+test_lua()
+{
+ show_test_banner "Lua"
+
+ is_package_installed $EXEC_NAME
+
+ if [ "$?" == 0 ]; then
+ generate_test_file
+ # Launch it
+ $EXEC_NAME $LUA_EXAMPLE_FILE
+ if [ "$?" == 0 ]; then
+ echo_test_ok
+ test_cleanup
+ exit 0
+ fi
+ fi
+ test_cleanup
+ exit_failed
+}
+
+test_lua
+
Property changes on: trunk/target/test/packages/test_lua.sh
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|